%define upstream_name Device-Cdio
%define upstream_version v2.0.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10
Summary:	Module for CD Input and Control library
License:	GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Device-Cdio-0.3.0-gcc-4.7.patch
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(version)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	swig

%description
A module to make easier temporary directories deletion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Build.PL installdirs=vendor
# M::B copy files read-only, forcing to use
# a two-pass build command
# https://rt.cpan.org/Ticket/Display.html?id=42777
./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%install
./Build install destdir=%{buildroot}

%files
%doc Changes COPYING
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Fri Dec 01 2023 tv <tv> 2.0.0-10.mga10
+ Revision: 2012320
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 2.0.0-9.mga9
+ Revision: 1875089
- Rebuild for perl-5.36

* Sat Mar 26 2022 umeabot <umeabot> 2.0.0-8.mga9
+ Revision: 1827460
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 2.0.0-7.mga8
+ Revision: 1606975
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sat Feb 15 2020 umeabot <umeabot> 2.0.0-6.mga8
+ Revision: 1527272
- Mageia 8 Mass Rebuild

* Sun Jul 14 2019 daviddavid <daviddavid> 2.0.0-5.mga8
+ Revision: 1421271
- rebuild for new libcdio 2.1.0

* Fri Sep 21 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1292812
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.0.0-3.mga7
+ Revision: 1249124
- Rebuild for perl 5.28

* Sun Jan 14 2018 wally <wally> 2.0.0-2.mga7
+ Revision: 1193051
- rebuild for new libcdio
+ shlomif <shlomif>
- New version 2.0.0

* Mon Oct 02 2017 tv <tv> 0.3.0-16.mga7
+ Revision: 1164070
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.3.0-15.mga7
+ Revision: 1159101
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-14.mga6
+ Revision: 1025683
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.3.0-13.mga6
+ Revision: 957178
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 sander85 <sander85> 0.3.0-12.mga6
+ Revision: 854733
- Rebuild for new libcdio

* Thu Jun 25 2015 sander85 <sander85> 0.3.0-11.mga6
+ Revision: 843785
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-10.mga5
+ Revision: 746320
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-9.mga5
+ Revision: 684348
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.3.0-8.mga5
+ Revision: 631095
- Rebuild for perl 5.20

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.3.0-7.mga5
+ Revision: 592244
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-6.mga4
+ Revision: 533780
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 sander85 <sander85> 0.3.0-5.mga4
+ Revision: 475406
- Convert spec to work with magpie
- Fix build
+ fwang <fwang>
- rebuild for new cdio

* Wed May 29 2013 jquelin <jquelin> 0.3.0-4.mga4
+ Revision: 431487
- perl 5.18.0 rebuild

* Tue Jan 15 2013 sander85 <sander85> 0.3.0-3.mga3
+ Revision: 388352
- Fix build with GCC 4.7
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- rebuild for perl 5.16

* Sat Oct 29 2011 fwang <fwang> 0.3.0-1.mga2
+ Revision: 159373
- update file list
- new version 0.3.0
- rebuild for new libcdio

* Sat Jun 11 2011 sander85 <sander85> 0.2.4-13.mga2
+ Revision: 104195
- perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.2.4-12.mga1
+ Revision: 36875
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.2.4-11.mga1
+ Revision: 34879
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2.4-10.mga1
+ Revision: 32749
- mageia rebuild
- imported package perl-Device-Cdio

